#!/bin/sh
#
# @(#) $FreeBSD: ports/sysutils/fvcool/scripts/fvcool.sh,v 1.1 2004/10/17 03:32:08 linimon Exp $

# PROVIDE: fvcool
# REQUIRE: LOGIN abi
# BEFORE:  securelevel
# KEYWORD: FreeBSD shutdown

# Add the following line to /etc/rc.conf to enable `fvcool':
#
#fvcool_enable="YES"
#
# Other rc.conf variables:
#
#  fvcool_flags    Set to "-v" for verbose mode.
#

. /usr/local/etc/rc.subr

name="fvcool"
rcvar=`set_rcvar`

command="/usr/local/sbin/fvcool"
command_args="-e"

# fvcool is a command to be run during startup and shutdown, not a
# long running daemon process.  There's no pidfile to check, and it's
# hard to tell if fvcool is enabled or not -- just run 'fvcool -e' to
# force enable it, 'fvcool -d' to disable.

stop_cmd="stop_cmd"
stop_cmd()
{
    $command -d
}

status_cmd="status_cmd"
status_cmd()
{
    echo "Can't check fvcool status"
}

load_rc_config "$name"
: ${fvcool_enable="NO"}
: ${fvcool_flags=""}

run_rc_command "$1"
